"{ Package: 'stx:libbasic' }"

DomainError subclass:#ImaginaryResultError
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions-Errors'
!

!ImaginaryResultError class methodsFor:'documentation'!

documentation
"
    Raised by square root functions when the functions-arg is negative,
    so that the result would be imaginary.
    For example, 
        -1 sqrt

    Can be cought (see Complex >> trapImaginary) to automagically convert to Complex)
"
! !

!ImaginaryResultError class methodsFor:'initialize'!

initialize
    NotifierString := 'imaginary result'.
! !

!ImaginaryResultError class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/ImaginaryResultError.st,v 1.1 2003-06-17 14:04:35 cg Exp $'
! !

ImaginaryResultError initialize!
